List own connected accounts

Lists the messaging accounts connected to the workspace and visible to the authenticated user.

GET
/v1/messaging/connected-accounts

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/messaging/connected-accounts"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "provider": "google",
    "status": "ok",
    "hasMessaging": true,
    "hasCalendar": true,
    "emailAddress": "string",
    "displayName": "string",
    "shared": true,
    "syncing": true,
    "lastSyncedAt": "string",
    "createdAt": "string",
    "owner": {
      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
      "firstName": "string",
      "lastName": "string",
      "avatarUrl": "string"
    },
    "isOwner": true,
    "folders": [],
    "selectedFolderIds": [],
    "foldersSyncedAt": "string",
    "linkedinProducts": []
  }
]
"string"
"string"
"string"
"string"